Subject: [PATCH v2 0/6] Switch to generic syscon regmap based drivers

From: [email-masked] (Alim Akhtar)
Date: Fri, 20 Nov 2015 10:38:04 +0530

Hi Krzysztof,

On 11/20/2015 06:16 AM, Krzysztof Kozlowski wrote:
> On 20.11.2015 03:06, Alim Akhtar wrote:
>> Hi Krzysztof/Ulf/Kukjin
>>
>> On Thu, Oct 22, 2015 at 5:47 AM, Krzysztof Kozlowski
>> <[email-masked]> wrote:
>>> On 22.10.2015 00:01, Alim Akhtar wrote:
>>>> On Wed, Oct 21, 2015 at 8:25 PM, Javier Martinez Canillas
>>>> <[email-masked]> wrote:
>>>>> Hello Alim,
>>>>>
>>>>> On 10/21/2015 04:50 PM, Alim Akhtar wrote:
>>>>>
>>>>> [snip]
>>>>>
>>>>>>>
>>>>>>> [0]:
>>>>>>>  From c9b250ee03bae338339b70693e906145c719f783 Mon Sep 17 00:00:00 2001
>>>>>>> From: Javier Martinez Canillas <[email-masked]>
>>>>>>> Date: Wed, 21 Oct 2015 11:59:44 +0200
>>>>>>> Subject: [RFT PATCH] mmc: pwrseq: Use highest priority for eMMC restart
>>>>>>>   handler
>>>>>>>
>>>>>>> The pwrseq_emmc driver does a eMMC card reset before a system reboot to
>>>>>>> allow broken or limited ROM boot-loaders, that don't have an eMMC reset
>>>>>>> logic, to be able to read the second stage from the eMMC.
>>>>>>>
>>>>>>> But this has to be called before a system reboot handler and while most
>>>>>>> of them use the priority 128, there are other restart handlers (such as
>>>>>>> the syscon-reboot one) that use a higher priority. So, use the highest
>>>>>>> priority to make sure that the eMMC hw is reset before a system reboot.
>>>>>>>
>>>>>>> Signed-off-by: Javier Martinez Canillas <[email-masked]>
>>>>>>> ---
>>>>>> Looks good.
>>>>>> Reviewed-by: Alim Akhtar <[email-masked]>
>>>>>>
>>>>>
>>>
>>> +Cc Ulf,
>>>
>>> Javier,
>>>
>>> First of all, thanks Javier for digging into the issue. Actually I have
>>> Odroid U3 but because of user-space limitations (which I need for other
>>> work) I cannot test all of mainline patches there.
>>>
>>>
>>>>> Thanks, should I post it as a proper patch or are adding it to your
>>>>> series?
>>>> Suggest you to post as a patch collecting {Tested, Reviewed}-by (easy
>>>> for maintainers to pickup ) and probably CCing Ulf for his feedback.
>>>>
>>>>> I think the latter is more reasonable so with an ack from Ulf,
>>>>> all patches can go through the linux-samsung tree.
>>>>>
>>>> yes, that is reasonable, as I said, let Krzysztof and Ulf take a call here.
>>>
>>> Javier, Alim, Ulf,
>>>
>>> I am not grabbing any more patches for v4.4 because I doubt that they
>>> could be merged to arm-soc for this cycle. My last pull requests for
>>> v4.4 is still pending...
>>>
>>> This means that I plan to pick up these series for v4.5, after closing
>>> v4.4 merge window (unless Kukjin picks it also). Because of that, we
>>> have plenty of time, so my idea is:
>>> 1. Wait for some comments from Ulf on Javier's fix.
>>> 2. If the fix goes into v4.4, then problem solved.
>>> 3. If not and it get acked, then it can go with this set.
>>> 4. If not and it get applied by Ulf for v4.5, then a tag from him would
>>> be a nice way to solve dependency.
>>>
>>> Either way we don't have to hurry, I think.
>>>
>>
>> Is It the right time to get this series in?
>> Thanks!!
>
> I started applying it but stopped at #5. It should be squashed with #6
> to get rid of (not important) conflict between syscon reboot and
> existing Exynos restart handler:
>
> syscon-poweroff syscon-poweroff: pm_power_off already claimed c001e52c
> exynos_power_off
> syscon-poweroff: probe of syscon-poweroff failed with error -16
>
> The conflict is not really an issue because of ordering of init calls
> the Exynos will register itself before syscon. Nevertheless splitting
> the patches does not really make sense... so please merge #5 with #6.
>
Hmm...nice catch..will send v3 shortly after merging patch #5 and #6.

> Best regards,
> Krzysztof